% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % 
% Code to paste at the bottom of your edeir_run.m file in order to create
% impulse-response functions. Note that the lines below use the routine
% ir.m
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % 

%Compute Impulse Responses
T = 11; %number of periods for impulse responses (including t=0)

%Give a unit innovation to TFP
x0 = zeros(nstate,1);
    %This vector stores the shocks to the state variables (vector x), in
    %the following order: d, r, k, a
x0(end) = 0.01;
    %Shock of 1 percent to technology, a
    
%Compute Impulse Response
[IR IRy IRx]=ir(gx,hx,x0,T);

%Plot Impulse responses
t=(0:T-1)';

figure

rows = 2; %number of rows for subplots
cols = 2; %number of columns for subplots

subplot(rows,cols,1)
plot(t,IR(:,noutput)*100) %changes expressed in percent
title('Output')

subplot(rows,cols,2)
plot(t,IR(:,nc)*100)
title('Consumption')

subplot(rows,cols,3)
plot(t,IR(:,nivv)*100)
title('Investment')

subplot(rows,cols,4)
plot(t,IRx(:,na)*100)
title('TFP Shock')

shg
